package main

import (
	"fmt"
	"git.swzry.com/zry/go-hhc-cli/hhc_common"
	"git.swzry.com/zry/go-hhc-cli/hhccli"
)

func main() {
	p := hhccli.NewSimpleTCESParser()
	t(p, "[A")
	t(p, "[B")
	t(p, "[C")
	t(p, "[D")
	t(p, "[H")
	t(p, "[F")
	t(p, "[2~")
	t(p, "[3~")
	t(p, "[5~")
	t(p, "[6~")
	t(p, "OP")
	t(p, "OQ")
	t(p, "OR")
	t(p, "OS")
	t(p, "[15~")
	t(p, "[17~")
	t(p, "[18~")
	t(p, "[19~")
	t(p, "[20~")
	t(p, "[21~")
	t(p, "[23~")
	t(p, "[24~")

	t(p, "[14~")
	t(p, "[25~")
	t(p, "Kaa")
	t(p, "[T")
	k := "unrecognized command:aap at position 3"
	uk := hhc_common.FirstToUpper(k)
	fmt.Println(k)
	fmt.Println(uk)
}

func t(p *hhccli.SimpleTCESParser, seq string) {
	p.ResetState()
	rs := []rune(seq)
	for _, v := range rs {
		b, r := p.PushRune(v)
		if b {
			fmt.Println("Seq", seq, "Result", r, "Name", r.Name())
			return
		}
	}
	fmt.Println("Seq", seq, "Failed!")
}
