package hhc_mangekyo

import (
	"git.swzry.com/zry/go-hhc-cli/hhc_telws"
	"git.swzry.com/zry/go-hhc-cli/hhccli"
)

type MangekyoCustomViewPortalCommandDefine struct {
	CommandName     string
	Description     string
	GetViewNameFunc func(ctx *hhc_telws.TelwsSessionContext) string
	GetPromptFunc   func(ctx *hhc_telws.TelwsSessionContext) string
	GetTitleFunc    func(ctx *hhc_telws.TelwsSessionContext) string
}

type MangekyoUserLogicHandler interface {
	GetDefaultPromptString(ctx *hhc_telws.TelwsSessionContext) string
	GetDefaultTitle(ctx *hhc_telws.TelwsSessionContext) string
	GetCustomViewPortalCommands() []MangekyoCustomViewPortalCommandDefine
	NewSession(ctx *hhc_telws.TelwsSessionContext, cli *hhccli.TerminalInteractive) error
}
