package hhc_validators

import "strconv"

type RangedInteger struct {
	Min int
	Max int
}

func (v RangedInteger) Validate(t string) bool {
	i, e := strconv.Atoi(t)
	if e != nil {
		return false
	}
	if i < v.Min || i > v.Max {
		return false
	}
	return true
}
